/*-----------------------------------------------------*/
/***** Custom CSS by Mervin Gani (Added: 14102025) *****/
/*-----------------------------------------------------*/

/**----- Font Libraries ----**/
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Saira:ital,wght@0,100..900;1,100..900&display=swap');



/***----- GLOBAL HEADER -----***/
/**-- OP Top Panel --**/
.op-top-panel.theme-background {
    overflow: hidden;
    position: relative;
    text-align: center;
    font-family: "Archivo", sans-serif;
    font-size: 14px;
    text-shadow: 1px 1px 6px #660000;
    font-weight: 400;
    padding: 0px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
}

/* Animate OP Texts */
.op-top-panel.theme-background * {
    display: inline-block;
    animation: blinkFade 1.5s ease-in-out infinite;
}

/* Keyframes for OP Texts */
@keyframes blinkFade {
    0% {
        opacity: 0.5;
    }
    40% {
        opacity: 1;
    }
    60% {
        opacity: 1;
    }
    100% {
        opacity: 0.5;
    }
}



/**-- Top Navigation Menu & Mini Cart --**/
.header-primary-container {
    padding-top: 15px!important;
    padding-bottom: 15px!important;
}

.group--dropdown .content-dropdown-toggle,
.minicart-wrapper.open .mini-cart-content.dropdown-content {
    top: 165%;
}

.nav-container.sticky-container .group--dropdown .content-dropdown-toggle,
.nav-container.sticky-container .minicart-wrapper.open .mini-cart-content.dropdown-content {
    top: 100%;
}

.group--dropdown .content-dropdown-toggle {
    padding: 15px;
}

.group--dropdown .content-dropdown-toggle ul.header.links,
.group--dropdown .content-dropdown-toggle ul.header.links li a {
    font-family: "Archivo", sans-serif;
    font-size: 14px;
}

.group--dropdown .content-dropdown-toggle ul.header.links li:last-child {
    padding-top: 10px;    
}

.group--dropdown .content-dropdown-toggle ul.header.links li:last-child a {
    background-color: #222222;
    color: #FFFFFF!important;
    border-radius: 3px;
    font-size: 13px;
    font-weight: 500;
    text-align: center;
    text-transform: uppercase;
}

.group--dropdown .content-dropdown-toggle ul.header.links li:last-child a:hover {
    background-color: #ED1F30;
}


.minicart-wrapper .minicart-items-wrapper .minicart-items .product-item .product-image-container {
    padding: 5px;
    border: 1px solid #E8E8E8;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    border-radius: 5px;
    margin-right: 10px;
}

.header-container .mini-cart .mini-cart-content .product-item-details .product-item-name a {
    display: block;
    font-family: "Roboto", sans-serif;
    font-size: 14px;
    font-weight: 500;
    line-height: 1.2em;
    letter-spacing: 0px;
    margin-bottom: 10px;
}

.header-container .mini-cart .mini-cart-content .product-item-pricing .price-container {
    display: block!important;
    margin-bottom: 10px;
}

.header-container .mini-cart .mini-cart-content .product-item-pricing .price-container .minicart-price .price {
    display: block!important;
    color: #ED1F30!important;
    font-family: "Archivo", sans-serif;
    font-size: 16px!important;
    font-weight: 700!important;
    letter-spacing: -0.5px;
    margin: 10px 0px 15px 0px;
}

.header-container .mini-cart .mini-cart-content .product-item-pricing .details-qty {
    border-top: 1px solid #F5F5F5;
    padding-top: 10px;
}

.header-container .mini-cart .mini-cart-content .product-item-pricing .details-qty > .label {
    font-family: "Archivo", sans-serif;
    font-size: 13px;
    font-weight: 700;
    text-transform: uppercase;
}

.header-container .mini-cart .mini-cart-content .product-item-pricing .details-qty > .item-qty {
    font-family: "Archivo", sans-serif;
    font-size: 13px;
    border-radius: 3px;
    padding: 5px!important;
}

.header-container .mini-cart .mini-cart-content .product.actions {
    margin: -30px 0 0!important;
}

.header-container .mini-cart .mini-cart-content .product.options .toggle {
    margin-bottom: 5px!important;
}

.header-container .mini-cart .mini-cart-content .product.options .toggle span {
    background-color: #222222;
    color: #FFFFFF;
    padding: 3px 10px;
    border-radius: 15px;
    font-family: "Roboto", sans-serif;
    font-size: 13px!important;
    font-weight: 500;
    letter-spacing: 0.5px;
}

.header-container .mini-cart .mini-cart-content .product.options .content {
    font-family: "Archivo", sans-serif;
    font-size: 12px!important;
}

.header-container .mini-cart .mini-cart-content .product.options .content .product.options .label {
    border-top: 1px solid #F5F5F5;
    padding-top: 10px;
}

.header-container .mini-cart .mini-cart-content .product.options .content .product.options dt:first-child {
    margin-top: 10px;
}


dt.label,
dd.values span.price {
    font-family: "Archivo", sans-serif;
    letter-spacing: -0.5px!important;
}

dt.label {
    font-size: 14px!important;
}

dd.values span.price {
    font-size: 13px!important;
    display: block!important;
    margin-top: 5px;
}

.block-minicart .amount .price-wrapper:first-child .price {
    font-family: "Archivo", sans-serif;
    font-size: 18px;
    font-weight: 700!important;
    color: #ED1F30;
    letter-spacing: -0.5px;
}



/**-- Global Main Navigation --**/
.navi-wrapper,
.dropdown-block .dropdown-heading .counter {
    font-family: "Roboto", sans-serif;
}

.nav-regular li.level0 > a > span {
    font-family: "Archivo", sans-serif;
    font-size: 15px!important;
    font-weight: 700!important;
}

.nav-regular .classic > .nav-panel--dropdown > li > a {
    font-family: "Archivo", sans-serif;
    line-height: 32px!important;
    font-size: 13px;
    text-transform: capitalize;
}

#header-container.header_style1 .block-search .input-text,
.header-m-container.layout_app .header-app #header-search .block-search .input-text {
    font-family: "Archivo", sans-serif;
    font-size: 13px;
    color: #888888!important;
    background-color: #F8F8F8!important;
    border-color: #E8E8E8!important;
}

#header-container.header_style1 .block-search .input-text,
.header-m-container.layout_app .header-app #header-search .block-search .input-text::placeholder {
    color: #888888!important;
}

#search_autocomplete .amsearch-results {
    display: block!important;
    font-family: "Archivo", sans-serif;
}

#header-container.header_style1 .block-search .actions #action-search .icon-f-85:before {
    color: #222222!important;
    font-weight: 600!important;
}

@media screen and (min-width:768px) and (max-width: 991px) {
    .container {
        max-width: 900px;
    }
}

@media screen and (max-width: 991px) {
    .op-top-panel.theme-background {
        font-size: 13px;
        box-shadow: none;
    }

    .header-mobile .header-m-primary-container {
        padding-top: 10px;
        padding-bottom: 10px;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
    }
    
    #header-container.header_style1 .block-search .actions #action-search .icon-f-85:before {
        display: none!important;
    }
    
    .header-m-container.layout_app .header-app #header-search .block-search .control {
        max-width: 650px;
    }
    
    .header-m-container.layout_app .header-app #header-search .block-search .input-text::focus {
        color: #222222!important;
        box-shadow: none!important;
    }
    
    .header-m-container.layout_app .header-app #header-search .block-search .control:after,
    .control:after {
        color: #222222!important;
        font-weight: 600!important;
    }
}



/***------ GLOBAL PAGE -----***/
.breadcrumbs-page {
    font-family: "Archivo", sans-serif;
    padding: 12px;
    margin-bottom: 20px;
    margin-left: 30px;
}



/***----- FRONT CATEGORY BUTTONS -----***/
.op-banner-item {
    position: relative;
    overflow: hidden;
    border-radius: 5px;
    opacity: 1;
    transition: all 0.4s ease-in-out;
}

/* Hover animation */
.op-banner-item:hover {
    transform: scale(0.98);
    opacity: 0.9;
}

/* Shining effect */
.op-banner-item::before {
    content: "";
    position: absolute;
    top: 0;
    left: -75%;
    width: 50%;
    height: 100%;
    background: linear-gradient(
        120deg,
        rgba(255, 255, 255, 0) 0%,
        rgba(255, 255, 255, 0.2) 50%,
        rgba(255, 255, 255, 0) 100%
    );
    transform: skewX(-25deg);
}

/* Animate the shine on hover */
.op-banner-item:hover::before {
    animation: shine 0.4s ease-in-out forwards;
}

/* Keyframes for the shine sweep */
@keyframes shine {
    from {
        left: -75%;
    }
    to {
        left: 125%;
    }
}



/***----- GLOBAL FOOTER -----***/
.footer-container {
    padding-top: 15px;    
}

.footer-primary-container {
    padding-bottom: 15px;
}

.footer-container .item-contact i {
    font-size: 15px;
    margin-right: 10px;
}

.footer .row .content-column-inner .content-column p {
    letter-spacing: 0.5px;
}

.footer .row .content-column-inner .content-column p,
.footer .row .content-column-inner .content-column a {
    font-family: "Archivo", sans-serif;
    font-size: 13px;
    line-height: 24px;
}

.footer .row .content-column-inner .content-column p {
    color: #CCCCCC;
}

.footer .row .content-column-inner .content-column a {
    color: #999999;
}

.footer .row .content-column-inner .content-column a:hover {
    color: #ED1F30;
}

.footer-bottom-container .inner-container .copyright {
    font-family: "Archivo", sans-serif;
}

.footer .row .content-column-inner h3 {
    font-family: "Saira", sans-serif;
    font-size: 18px;
    font-weight: 500;
}


@media screen and (max-width: 767px) {
    .footer-container .content-column-inner .title-column.control-mobile {
        background-color: none;
        border-color: #888888;
        color: #888888;
        font-size: 15px;
        font-weight: 800;
        letter-spacing: 0px;
    }
    
    .footer-container .content-column-inner .title-column.control-mobile:hover {
        border-color: #FFFFFF;
        color: #FFFFFF;
    }
    
    .footer-container .content-column-inner .title-column.control-mobile.show-mobile {
        background-color: #ED1F30;
        border-color: #ED1F30;
        color: #FFFFFF;
    }
    
    .footer .row .content-column-inner .content-column a {
        color: #888888;
        border-bottom: 1px solid #333333;
    }
}
